<refentry id="profile.role">
<refmeta>
<refentrytitle>profile.role</refentrytitle>
<refmiscinfo role="type">string</refmiscinfo>
</refmeta>
<refnamediv>
<refname>profile.role</refname>
<refpurpose>Target profile for <sgmltag class="attribute">role</sgmltag>
attribute</refpurpose>
</refnamediv>

<refsynopsisdiv>
<src:fragment id='profile.role.frag'>
<xsl:param name="profile.role" select="''"/>
</src:fragment>
</refsynopsisdiv>

<refsect1><title>Description</title>

<para>Value of this parameter specifies profiles which should be
included in the output. You can specify multiple profiles by
separating them by semicolon. You can change separator character by
<link linkend="profile.separator"><parameter>profile.separator</parameter></link>
parameter.</para>

<para>This parameter has effect only when you are using profiling
stylesheets (<filename>profile-docbook.xsl</filename>,
<filename>profile-chunk.xsl</filename>, &#x2026;) instead of normal
ones (<filename>docbook.xsl</filename>,
<filename>chunk.xsl</filename>, &#x2026;).</para>

<warning>
<para>Note that <sgmltag class="attribute">role</sgmltag> is often
used for other purposes than profiling. For example it is commonly
used to get emphasize in bold font:</para>

<programlisting><![CDATA[<emphasis role="bold">very important</emphasis>]]></programlisting>

<para>If you are using <sgmltag class="attribute">role</sgmltag> for
these purposes do not forget to add values like <literal>bold</literal> to
value of this parameter. If you forgot you will get document with
small pieces missing which are very hard to track.</para>

<para>For this reason it is not recommended to use <sgmltag
class="attribute">role</sgmltag> attribute for profiling. You should
rather use profiling specific attributes like <sgmltag
class="attribute">userlevel</sgmltag>, <sgmltag
class="attribute">os</sgmltag>, <sgmltag
class="attribute">arch</sgmltag>, <sgmltag
class="attribute">condition</sgmltag>, etc.</para>
</warning>

</refsect1>
</refentry>
